<script setup lang="ts">
const emit = defineEmits<{
  (e: 'click'): void
}>()

function onClick() {
  emit('click')
}
</script>

<template>
  <div class="m-2 flex gap-2 px-2">
    <Button
      class="bg-gray-400"
      type="button"
      @click="onClick"
    >
      <Icon
        name="i-lucide-arrow-left"
        class="me-2 align-middle"
      />
      Back
    </Button>
  </div>
</template>
